#ifndef __EPGSEARCH_MENUEVENT_H
#define __EPGSEARCH_MENUEVENT_H

typedef enum
{
    SurfModeUnknown,
    SurfModeTime,
    SurfModeChannel
} MenuEventSurfMode;

class cMenuEventSearch : public cOsdMenu {
private:
  const cEvent *event;
  char* szGreen;
  char* szYellow;
public:
  cMenuEventSearch(const cEvent *Event, bool CanSwitch, const cEvent* evPrev, const cEvent* evNext);
  cMenuEventSearch(const cEvent *Event, bool CanSwitch, const cChannel* chPrev, const cChannel* chNext);
  cMenuEventSearch(const cEvent *Event, bool CanSwitch);
  ~cMenuEventSearch();
  virtual void Display(void);
  virtual eOSState ProcessKey(eKeys Key);
  eOSState Commands(eKeys Key);
};

#endif
